# TdApi.GetAnimatedEmoji (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: GetAnimatedEmoji

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.GetAnimatedEmoji

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.AnimatedEmoji>
it.tdlight.jni.TdApi.GetAnimatedEmoji

Enclosing class:
  TdApi

public static final class TdApi.GetAnimatedEmoji extends TdApi.Function<TdApi.AnimatedEmoji>
Returns an animated emoji corresponding to a given emoji. Returns a 404 error if the emoji has no animated emoji. Returns `AnimatedEmoji`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`String`
`emoji`
The emoji.

## Constructor Summary

Constructors
Constructor
Description
`GetAnimatedEmoji()`
Returns an animated emoji corresponding to a given emoji.
`GetAnimatedEmoji(DataInput input)`
Returns an animated emoji corresponding to a given emoji.
`GetAnimatedEmoji(String emoji)`
Returns an animated emoji corresponding to a given emoji.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### emoji

public String emoji
The emoji.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### GetAnimatedEmoji

public GetAnimatedEmoji()
Returns an animated emoji corresponding to a given emoji. Returns a 404 error if the emoji has no animated emoji. Returns `AnimatedEmoji`

### GetAnimatedEmoji

public GetAnimatedEmoji(String emoji)
Returns an animated emoji corresponding to a given emoji. Returns a 404 error if the emoji has no animated emoji. Returns `AnimatedEmoji`

Parameters:
  `emoji` - String The emoji.

### GetAnimatedEmoji

public GetAnimatedEmoji(DataInput input) throws IOException
Returns an animated emoji corresponding to a given emoji. Returns a 404 error if the emoji has no animated emoji. Returns `AnimatedEmoji`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`